<?php
$shop_id = to_int($GLOBALS['LA']['shop_id']);
$xsl_name = to_str($GLOBALS['LA']['xsl_name']);

$param = array();
$external_propertys = array();

$param['xml_show_group_type'] = 'all';

$param['current_group_id'] = false;
$param['dec_reques_number'] = true;

$param['xml_show_group_property'] = false;
$param['show_text'] = false;
$param['xml_show_tying_products'] = false;
$param['xml_show_modification'] = false;

$param['items_on_page'] = 20;

$items_on_page = $param['items_on_page'];

$page = end($GLOBALS['URL_ARRAY']);
$page = to_str($page);

/* Число элементов на странице */
$on_page = to_int($_GET['on_page']);
if ($on_page > 0 && $on_page < 150)
{
	$param['items_on_page'] = $on_page;
	$external_propertys['on_page'] = $on_page;

	/* Применять фильтр */
	$external_propertys['apply_filter'] = true;
}

// Определяем номер страницы.
if ($on_page)
{
	$items_on_page = $on_page;
}
if (ereg("^page-([0-9]*)$", $page, $regs) && to_int($regs[1]) > 1)
{
	/* Страница умножается на кол-во элементов, выводимых на страницу */
	$items_begin = ($regs[1] - 1) * $items_on_page;
}
else
{
	$items_begin = 0;
}

$param['items_begin'] = $items_begin;

$param['items_field_order'] = 'shop_groups_id, shop_items_catalog_name';
$param['items_order'] = 'Asc';

$param['group_field_order'] = 'shop_groups_id';
$param['group_order'] = 'Asc';

$external_propertys['ПутьКРазделу'] = $GLOBALS['URL_ARRAY'][1];

$shop = new shop();
$shop->ShowShop($shop_id, $xsl_name, $param, $external_propertys);
?>